> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Trading Dayahead Prices



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/trading/dayahead/prices
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/trading/dayahead/prices:
    post:
      tags:
        - Trading
      summary: Create Trading Dayahead Prices
      operationId: >-
        integrations_api_api_v2_organizations_trading_dayahead_prices_router_create_trading_dayahead_prices
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the new user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the new user's organization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostSuccessOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LateOutput'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostExistingOutput'
      security:
        - OAuth2: []
components:
  schemas:
    RequestInput:
      properties:
        metadata:
          $ref: '#/components/schemas/RequestMetadata'
        data:
          items:
            $ref: '#/components/schemas/RequestData'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: RequestInput
      type: object
    PostSuccessOutput:
      properties:
        state:
          description: The state of the output
          enum:
            - success
            - existing
            - non_existing
            - late
            - empty
            - failed
          title: State
          type: string
        next_load_curve_calculation:
          format: date-time
          title: Next Load Curve Calculation
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - state
        - next_load_curve_calculation
        - error
      title: PostSuccessOutput
      type: object
    LateOutput:
      properties:
        state:
          description: The state of the output
          enum:
            - success
            - existing
            - non_existing
            - late
            - empty
            - failed
          title: State
          type: string
        next_load_curve_calculation:
          format: date-time
          title: Next Load Curve Calculation
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - state
        - next_load_curve_calculation
        - error
      title: LateOutput
      type: object
    PostExistingOutput:
      properties:
        state:
          description: The state of the output
          enum:
            - success
            - existing
            - non_existing
            - late
            - empty
            - failed
          title: State
          type: string
        next_load_curve_calculation:
          format: date-time
          title: Next Load Curve Calculation
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - state
        - next_load_curve_calculation
        - error
      title: PostExistingOutput
      type: object
    RequestMetadata:
      properties:
        price_zone:
          $ref: '#/components/schemas/PriceZone'
        timezone_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone Override
      required:
        - price_zone
      title: RequestMetadata
      type: object
    RequestData:
      properties:
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        price:
          title: Price
          type: number
        best_bid:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Best Bid
        best_ask:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Best Ask
      required:
        - timestamp
        - price
      title: RequestData
      type: object
    PriceZone:
      enum:
        - AT
        - AT_HOURLY
        - BE
        - CH
        - EE
        - DE_LU
        - HU
        - IT_CNOR
        - IT_CSUD
        - IT_NORD
        - IT_PUN
        - IT_SARD
        - IT_SICI
        - IT_SUD
        - PT
        - RO
        - SE_1
        - SE_2
        - SE_3
        - SE_4
        - UK
      title: PriceZone
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````